ossl_bn.h File Reference

Go to the source code of this file.

## Functions

VALUE | ossl_bn_new (const BIGNUM *)
BIGNUM * | GetBNPtr (VALUE)
void | Init_ossl_bn (void)

## Variables

VALUE | cBN
VALUE | eBNError
BN_CTX * | ossl_bn_ctx

## Function Documentation

BIGNUM* GetBNPtr | ( | VALUE |  | ) |

Definition at line 58 of file ossl_bn.c.

References cBN, eBNError, GetBN, NULL, ossl_raise(), rb_eTypeError, rb_obj_is_kind_of(), rb_String(), RTEST, StringValuePtr, T_BIGNUM, T_FIXNUM, T_NIL, TYPE, and WrapBN.

Referenced by BIGNUM_1c(), num_to_asn1integer(), ossl_bn_copy(), ossl_bn_s_generate_prime(), and ossl_dh_compute_key().

void Init_ossl_bn | ( | void |  | ) |

Definition at line 734 of file ossl_bn.c.

References cBN, eBNError, eOSSLError, mOSSL, ossl_bn_alloc(), ossl_bn_coerce(), ossl_bn_copy(), ossl_bn_ctx, ossl_bn_eql(), ossl_bn_initialize(), ossl_bn_is_prime(), ossl_bn_is_prime_fasttest(), ossl_bn_s_generate_prime(), ossl_bn_to_bn(), ossl_bn_to_i(), ossl_bn_to_s(), ossl_raise(), rb_cObject, rb_define_alias(), rb_define_alloc_func(), rb_define_class_under(), rb_define_copy_func, rb_define_method(), rb_define_module(), rb_define_singleton_method(), and rb_eRuntimeError.

Referenced by Init_openssl().

VALUE ossl_bn_new | ( | const BIGNUM * |  | ) |

Definition at line 43 of file ossl_bn.c.

References cBN, eBNError, NULL, ossl_raise(), and WrapBN.

Referenced by asn1integer_to_num(), ossl_dh_get_params(), ossl_dsa_get_params(), and ossl_rsa_get_params().

## Variable Documentation

VALUE cBN

Definition at line 36 of file ossl_bn.c.

Referenced by GetBNPtr(), Init_ossl_bn(), ossl_bn_coerce(), ossl_bn_initialize(), and ossl_bn_new().

VALUE eBNError

Definition at line 37 of file ossl_bn.c.

Referenced by BIGNUM_1c(), GetBNPtr(), Init_ossl_bn(), ossl_bn_alloc(), ossl_bn_copy(), ossl_bn_initialize(), ossl_bn_is_prime(), ossl_bn_is_prime_fasttest(), ossl_bn_new(), ossl_bn_s_generate_prime(), ossl_bn_to_i(), and ossl_bn_to_s().

BN_CTX* ossl_bn_ctx

Definition at line 89 of file ossl_bn.c.

Referenced by BIGNUM_1c(), Init_ossl_bn(), ossl_bn_is_prime(), and ossl_bn_is_prime_fasttest().